#include "opencv2/opencv.hpp"

int main()
{
    cv::namedWindow("input", cv::WINDOW_AUTOSIZE);
    cv::namedWindow("output", cv::WINDOW_AUTOSIZE);
    cv::VideoCapture cap(0);
    cv::Mat input, output;

    //int param = 3;
    //cv::createTrackbar("param", "output", &param, 100);

    while (1) {
        cap >> input;
        cv::cvtColor(input, input, CV_BGR2GRAY);

        cv::GaussianBlur(input, output, cv::Size(0, 0), 3.0);
        //cv::Sobel(input, output, CV_8U, 1, 0);
        //cv::Laplacian(input, output, CV_8U);

        cv::imshow("input", input);
        cv::imshow("output", output);
        if (cv::waitKey(30) > 0) {
            break;
        }
    }

    return 0;
}
